# GimpUi.ColorSelector.set_channel

    @accepts(GimpUi.ColorSelector, GimpUi.ColorSelectorChannel)
    @returns(none)
    def set_channel(self, channel):
        # Python wrapper for gimp_color_selector_set_channel()

Sets the channel property of the self widget.

Changes between displayed channels if this self instance has the ability to show different channels. This will also update the color model if needed.

self

  A GimpUi.ColorSelector widget.

channel

  The new channel setting.